Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0013691
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementminoralways2010-06-17 20:382012-05-25 12:12
Reporterdmitry_mezentsevView Statuspublic 
Assigned Tomirurita 
PrioritynormalResolutionfixedFixed in Version3.0MP12
StatusclosedFix in branchpiFixed in SCM revision60b35ed88b24
ProjectionnoneETAnoneTarget Version
OSAnyDatabasePostgreSQLJava version
OS VersionDatabase versionAnt version
Product Version2.50MP18SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0013691: The same pair of Accounting schema and Status can be used several times in the Accounting tab of BP and BP Category windows

DescriptionThe same pair of Accounting schema and Status can be used several times in the Accounting tab of BP and BP Category windows if the Status field is empty.
Steps To Reproducehttp://live.builds.openbravo.com/erp_devel_main-full-pgsql/security/Menu.html [^]

Master Data Management > Business Partner Setup > Business Partner Category.
Select any existing one.
Go to Accounting tab.
Create a new record for Smallbazaar accounting schema and Status field empty.

Save it and check that now 2 lines with the same Accounting schema and Status exist.
Proposed SolutionThis scenario works in Oracle.

It looks like Constraint defined for the BP and BP Category Acc tables does not work properly with Null values in Postgresql.

Proposed solution could be to remove Empty (Null) Status course there is an assumption that it works the same way as “--” Status.

Also it is good to have a check through the application to catch similar not working Constraints.
TagsOB3-Reviewed, VMA-Reviewed
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00136362.50MP19 closedadrianromero If the same accounting schema is assigned for more than one org, a vendor is created with many entries on the accounting tab 
related to defect 0020350 closedmirurita Multiple API Changes in Accounting Tabs 

-  Notes
(0038007)
dmitry_mezentsev (developer)
2011-06-03 19:31

Status field is no longer used in 3.0 but still it is possible to create several rows with the same Accounting Schema.
(0047875)
vmromanos (developer)
2012-04-23 12:24
edited on: 2012-04-23 12:37

Unique constraint must be defined in the following table C_BP_GROUP_ACCT

C_BP_CUSTOMER_ACCT and C_BP_VENDOR_ACCT unique contraints are not working fine. NULL value in status column makes unique constraint to fail.
We should remove STATUS column from the unique constraints.

The following tables have defined the right unique constraint:
C_TAX_ACCT
M_PRODUCT_ACCT
M_PRODUCT_CATEGORY_ACCT
C_BP_EMPLOYEE_ACCT
C_GLITEM_ACCT
C_CHARGE_ACCT
FIN_FINANCIAL_ACCOUNT_ACCT
A_ASSET_GROUP_ACCT
M_WAREHOUSE_ACCT
A_ASSET_ACCT
C_PROJECT_ACCT

(0047876)
vmromanos (developer)
2012-04-23 13:26

The fix for this issue will create an API change.

Test plan I:
1. Go to Business Partner Category
2. Select any record
3. Go to Accounting tab
4. Try to enter two records for the same accounting schema
5. When you try to save the second one, an error message is displayed and the record can't be saved

Test plan II:
1. Go to Business Partner window
2. Select "Alimentos y supermercados". Go to customer tab
3. Go to Customer Accounting tab
4. Try to enter two records for the same accounting schema
5. When you try to save the second one, an error message is displayed and the record can't be saved

Test plan III:
1. Go to Business Partner window
2. Select "Bebidas alegres". Go to vendor tab
3. Go to Vendor Accounting tab
4. Try to enter two records for the same accounting schema
5. When you try to save the second one, an error message is displayed and the record can't be saved
(0047929)
vmromanos (developer)
2012-04-24 17:40

A build validation must be created to force the user to delete the wrong records before updating to the new version
(0048665)
hgbot (developer)
2012-05-15 18:54

Repository: erp/devel/pi
Changeset: 60b35ed88b247118da855997ec94e3833d00bb18
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Mon Apr 23 13:30:54 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/60b35ed88b247118da855997ec94e3833d00bb18 [^]

Fixed bug 13691: Acct. schema unique constraint in several tables
Created new unique constraint in C_BP_GROUP_ACCT (C_ACCTSCHEMA_ID, C_BP_GROUP_ID)
and added new error message.

Removed status from unique constraints in C_BP_CUSTOMER_ACCT and
C_BP_VENDOR_ACCT tables
Updated error messages beloging to these constraints

---
M src-db/database/model/tables/C_BP_CUSTOMER_ACCT.xml
M src-db/database/model/tables/C_BP_GROUP_ACCT.xml
M src-db/database/model/tables/C_BP_VENDOR_ACCT.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0048666)
hgbot (developer)
2012-05-15 19:00

Repository: erp/devel/api-checks
Changeset: ce0b7bcbb9f62a3f9ce25407ffdbd44b28f80726
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Tue May 15 18:59:32 2012 +0200
URL: http://code.openbravo.com/erp/devel/api-checks/rev/ce0b7bcbb9f62a3f9ce25407ffdbd44b28f80726 [^]

Related to issue 13691: api change add/modify unique constraints

---
M model/src-db/database/model/tables/C_BP_CUSTOMER_ACCT.xml
M model/src-db/database/model/tables/C_BP_GROUP_ACCT.xml
M model/src-db/database/model/tables/C_BP_VENDOR_ACCT.xml
M model/src-db/database/sourcedata/AD_MESSAGE.xml
---
(0048793)
mirurita (developer)
2012-05-21 10:03

code review + testing OK
(0048843)
hgbot (developer)
2012-05-22 09:30

Repository: erp/devel/api-checks
Changeset: 7224c70fafd8748bee89e9c956113d3b43bb7ac2
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Tue May 15 18:59:32 2012 +0200
URL: http://code.openbravo.com/erp/devel/api-checks/rev/7224c70fafd8748bee89e9c956113d3b43bb7ac2 [^]

Related to issue 13691: api change add/modify unique constraints

---
M model/src-db/database/model/tables/C_BP_CUSTOMER_ACCT.xml
M model/src-db/database/model/tables/C_BP_GROUP_ACCT.xml
M model/src-db/database/model/tables/C_BP_VENDOR_ACCT.xml
M model/src-db/database/sourcedata/AD_MESSAGE.xml
---
(0049140)
hudsonbot (developer)
2012-05-25 12:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2010-06-17 20:38 dmitry_mezentsev New Issue
2010-06-17 20:38 dmitry_mezentsev Assigned To => adrianromero
2010-06-17 20:38 dmitry_mezentsev Relationship added related to 0013636
2011-06-03 10:59 dalsasua Assigned To adrianromero => dalsasua
2011-06-03 19:31 dmitry_mezentsev Note Added: 0038007
2011-07-20 18:09 dalsasua Assigned To dalsasua => jonalegriaesarte
2011-10-28 20:15 iciordia Tag Attached: OB3-Reviewed
2012-02-15 19:04 iciordia Assigned To jonalegriaesarte => vmromanos
2012-02-16 17:12 vmromanos Tag Attached: VMA-Reviewed
2012-04-23 12:24 vmromanos Status new => scheduled
2012-04-23 12:24 vmromanos Note Added: 0047875
2012-04-23 12:24 vmromanos fix_in_branch => pi
2012-04-23 12:37 vmromanos Note Edited: 0047875 View Revisions
2012-04-23 12:37 vmromanos Note Edited: 0047875 View Revisions
2012-04-23 13:26 vmromanos Note Added: 0047876
2012-04-24 17:40 vmromanos Note Added: 0047929
2012-04-25 16:18 vmromanos Relationship added related to 0020350
2012-05-10 12:12 gorka_gil Assigned To vmromanos => mirurita
2012-05-15 18:54 hgbot Checkin
2012-05-15 18:54 hgbot Note Added: 0048665
2012-05-15 18:54 hgbot Status scheduled => resolved
2012-05-15 18:54 hgbot Resolution open => fixed
2012-05-15 18:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/60b35ed88b247118da855997ec94e3833d00bb18 [^]
2012-05-15 19:00 hgbot Checkin
2012-05-15 19:00 hgbot Note Added: 0048666
2012-05-21 10:03 mirurita Note Added: 0048793
2012-05-21 10:03 mirurita Status resolved => closed
2012-05-21 10:03 mirurita Fixed in Version => 3.0MP12
2012-05-22 09:30 hgbot Checkin
2012-05-22 09:30 hgbot Note Added: 0048843
2012-05-25 12:12 hudsonbot Checkin
2012-05-25 12:12 hudsonbot Note Added: 0049140


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker